# Class IceFaceMoveImmunityAbAttr

Applies immunity to physical moves. This is used in Ice Face ability.

#### Hierarchy (view full)

- MoveImmunityAbAttr
  - IceFaceMoveImmunityAbAttr

- Defined in src/data/ability.ts:3429

#####
Index

### Constructors

constructor

### Properties

showAbility

### Methods

addCondition
apply
applyPreDefend
getCondition
getTriggerMessage

## Constructors

### constructor

- new IceFaceMoveImmunityAbAttr(immuneCondition): IceFaceMoveImmunityAbAttr

- #### Parameters

  - immuneCondition: PreDefendAbAttrCondition

  #### Returns IceFaceMoveImmunityAbAttr

  Inherited from MoveImmunityAbAttr.constructor

  - Defined in src/data/ability.ts:551

## Properties

### showAbility

showAbility: boolean

Inherited from MoveImmunityAbAttr.showAbility

- Defined in src/data/ability.ts:126

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from MoveImmunityAbAttr.addCondition

  - Defined in src/data/ability.ts:145

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from MoveImmunityAbAttr.apply

  - Defined in src/data/ability.ts:133

### applyPreDefend

- applyPreDefend(pokemon, passive, attacker, move, cancelled, args): boolean

- Applies the Ice Face pre-defense ability to the Pokémon. Removes BattlerTagType.ICE_FACE hit by physical attack and is in Ice Face form.

  #### Parameters

  - pokemon: default

    The Pokémon with the Ice Face ability.

  - passive: boolean

    Whether the ability is passive.

  - attacker: default

    The attacking Pokémon.

  - move: default

    The move being used.

  - cancelled: BooleanHolder

    A holder for whether the move was cancelled.

  - args: any[]

    Additional arguments.

  #### Returns boolean

  - Whether the immunity was applied.

  Overrides MoveImmunityAbAttr.applyPreDefend

  - Defined in src/data/ability.ts:3442

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from MoveImmunityAbAttr.getCondition

  - Defined in src/data/ability.ts:141

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- Gets the message triggered when the Pokémon avoids damage using the Ice Face ability.

  #### Parameters

  - pokemon: default

    The Pokémon with the Ice Face ability.

  - abilityName: string

    The name of the ability.

  - `Rest` ...args: any[]

    Additional arguments.

  #### Returns string

  - The trigger message.

  Overrides MoveImmunityAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:3462